;-------------------------------------------------------------------------------
; Batman - The Video Game (USA)_prg_0.bin disasembled by DISASM6 v1.5
;-------------------------------------------------------------------------------

PPUCTRL              = $2000;$fe93
PPUMASK              = $2001;$f100
PPUSTATUS            = $2002;$ff0f
OAMADDR              = $2003;$cc00
OAMDATA              = $2004;$c400
PPUSCROLL            = $2005;$e100
PPUADDR              = $2006;$ff00
PPUDATA              = $2007;$f1f8
SQ1_VOL              = $4000;$fea1
SQ1_SWEEP            = $4001;$c9a2
SQ1_LO               = $4002;$c700
SQ1_HI               = $4003;$c002
SQ2_VOL              = $4004;$feb2
SQ2_SWEEP            = $4005;$e400
SQ2_LO               = $4006;$c300
SQ2_HI               = $4007;$f300
TRI_LINEAR           = $4008;$ffbc
TRI_LO               = $400A;$ffbd
TRI_HI               = $400B;$fabd
NOISE_VOL            = $400C;$d2ba
NOISE_LO             = $400E;$e0ba
NOISE_HI             = $400F;$f5ba
DMC_FREQ             = $4010;
DMC_RAW              = $4011;
DMC_START            = $4012;
DMC_LEN              = $4013;
OAM_DMA              = $4014;
SND_CHN              = $4015
JOY1                 = $4016
JOY2                 = $4017

PPUCTRL              = $2000;_1__89de
PPUMASK              = $2001;_1__8a7e
PPUSTATUS            = $2002;_1__8b9e
OAMADDR              = $2003;_1__8e00
OAMDATA              = $2004;_1__a000
PPUSCROLL            = $2005;_1__a00c
PPUADDR              = $2006;_1__adaf
PPUDATA              = $2007;_1__af86
SQ1_VOL              = $4000;_1__b117
SQ1_SWEEP            = $4001;_1__b655
SQ1_LO               = $4002;_1__b7a8
SQ1_HI               = $4003;
SQ2_VOL              = $4004;$ff0d
SQ2_SWEEP            = $4005;$d283
SQ2_LO               = $4006;$f4d0
SQ2_HI               = $4007;$d48e
TRI_LINEAR           = $4008;$c39a
TRI_LO               = $400A;$c941
TRI_HI               = $400B;$e943
NOISE_VOL            = $400C;$fc32
NOISE_LO             = $400E;$ed41
NOISE_HI             = $400F;$df60
DMC_FREQ             = $4010;$ed13
DMC_RAW              = $4011;$ce01
DMC_START            = $4012;$ee03
DMC_LEN              = $4013;$dc22
OAM_DMA              = $4014;$ed33
SND_CHN              = $4015;$ce41
JOY1                 = $4016;
JOY2                 = $4017;
PPUCTRL              = $2000;$ee43
PPUMASK              = $2001;$f96b
PPUSTATUS            = $2002;$ecdc
OAMADDR              = $2003;$eddd
OAMDATA              = $2004;$dfcf
PPUSCROLL            = $2005;$e923
PPUADDR              = $2006;$dbcb
PPUDATA              = $2007;$d8c8
SQ1_VOL              = $4000;$eede
SQ1_SWEEP            = $4001;$d9c9
SQ1_LO               = $4002;$cb23
SQ1_HI               = $4003;$eb23
SQ2_VOL              = $4004;$c922
SQ2_SWEEP            = $4005;$f5e5
SQ2_LO               = $4006;$f1e1
SQ2_HI               = $4007;$c0d0
TRI_LINEAR           = $4008;$ec21
TRI_LO               = $400A;$c920
TRI_HI               = $400B;$e920
NOISE_VOL            = $400C;$c921
NOISE_LO             = $400E;$e921
NOISE_HI             = $400F;
DMC_FREQ             = $4010;
DMC_RAW              = $4011;
DMC_START            = $4012;
DMC_LEN              = $4013;
OAM_DMA              = $4014;
SND_CHN              = $4015;
JOY1                 = $4016;
JOY2                 = $4017;



PRG_COUNT	= 8
CHR_COUNT	= 16
MAPPER_4	= $40
MIRRORING 	= %0000 ;%0000 = horizontal, %0001 = vertical, %1000 = four-screen

MMC3_MEMMAP_8000	= $8000
MMC3_MEMMAP_8001	= $8001

MMC3_MEMMAP_A000	= $a000

MMC3_IRQ_LATCH		= $c000
MMC3_IRQ_RELOAD		= $c001
MMC3_IRQ_DISABLE	= $e000
MMC3_IRQ_ENABLE		= $e001

; Replacement for labels between banks

JMP_8000	=	$8000
JMP_8003	=	$8003
JMP_8006	=	$8006
JMP_8009	=	$8009
JMP_800C	=	$800c

JMP_80A2	=	$80a2
JMP_8103	=	$8103
JMP_8109	=	switch_prg_bank;$8109	; switch_prg_bank

; Replacement for labels between banks

JMP_C000	=	$c000
JMP_C003	=	$c003
JMP_C006	=	$c006
JMP_C009	=	$c009
JMP_C00C	=	$c00c
JMP_C00F	=	$c00f
JMP_C012	=	$c012
JMP_C015	=	$c015
JMP_C018	=	$c018
JMP_C01B	=	$c01b
JMP_C01E	=	$c01e
JMP_C021	=	$c021
JMP_C024	=	$c024
JMP_C027	=	$c027

;----------------------------------------------------------------
; iNES header
;----------------------------------------------------------------

	.db "NES", $1a ;identification of the iNES header
	.db PRG_COUNT ;number of 16KB PRG-ROM pages
	.db CHR_COUNT ;number of 8KB CHR-ROM pages
	.db MAPPER_4|MIRRORING ;mapper 0 and mirroring
	.dsb 9, $00 ;clear the remaining bytes
	
	.include "variables.asm"
	
;----------------------------------------------------------------
; program bank 0
;----------------------------------------------------------------

   .base $8000

   ;NOTE: contents of program bank 1 go here
	.include "batman_prg_0_disasm6.asm"
	
   .org $c000
   ;.pad $c000

;----------------------------------------------------------------
; program bank 1
;----------------------------------------------------------------

   .base $8000

   ;NOTE: contents of program bank 1 go here
	.include "batman_prg_1_disasm6.asm"

   .org $c000

;----------------------------------------------------------------
; program bank 2
;----------------------------------------------------------------

   .base $8000

   ;NOTE: contents of program bank 2 go here
	.include "batman_prg_2_disasm6.asm"
   
   .org $c000

;----------------------------------------------------------------
; program bank 3
;----------------------------------------------------------------

   .base $8000

   ;NOTE: contents of program bank 3 go here
   .include "batman_prg_3_disasm6.asm"

   .org $c000

;----------------------------------------------------------------
; program bank 4
;----------------------------------------------------------------

   .base $8000

   ;NOTE: contents of program bank 4 go here
   .include "batman_prg_4_disasm6.asm"

   .org $c000

;----------------------------------------------------------------
; program bank 5
;----------------------------------------------------------------

   .base $8000

   ;NOTE: contents of program bank 5 go here
   .include "batman_prg_5_disasm6.asm"

   .org $c000

;----------------------------------------------------------------
; program bank 6
;----------------------------------------------------------------

   .base $8000

   ;NOTE: contents of program bank 6 go here
   .include "batman_prg_6_disasm6.asm"

   .org $c000

;----------------------------------------------------------------
; fixed program bank (7)
;----------------------------------------------------------------

   .base $c000
   
   .include "prg_7\batman_prg_7_disasm6.asm"

			
			
	;.incbin "chr.bin"